This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207532 - Review Request: kbackup - Back up your data in a simple, user friendly way
Review Request: kbackup - Back up your data in a simple, user friendly way
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-21 10:42 EDT by Alain Portal
Modified: 2010-01-08 12:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 05:27:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑cvs-


Attachments (Terms of Use)

  None (edit)
Description Alain Portal 2006-09-21 10:42:17 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
SRPM URL: http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.4.2-2.src.rpm
Description: 
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%changelog
* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-2
  - Add patch to fix some typo in fr.po
  - Add patch to frenchify x-kbp.desktop

* Wed Sep 20 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-1
  - Initial Fedora RPM
  - Add patch to frenchify kbackup.desktop
Comment 1 Sebastian Vahl 2006-09-21 12:51:19 EDT
(I'm no official reviewer so the comment is just a proposal)

- Use "%configure --disable-rpath" instead of "./configure --disable-rpath"
- Not sure about "%{__rm} -rf $RPM_BUILD_ROOT". PackagingGuidelines and
ReviewGuidelines are using simple "rm -rf %{buildroot}"
- Not sure about french description. In ReviewGuidelines it is a must, that the
spec is in American English.

Comment 2 Alain Portal 2006-09-21 13:13:57 EDT
(In reply to comment #1)
> (I'm no official reviewer so the comment is just a proposal)
> 
> - Use "%configure --disable-rpath" instead of "./configure --disable-rpath"

Oups... Fixed

> - Not sure about "%{__rm} -rf $RPM_BUILD_ROOT". PackagingGuidelines and
> ReviewGuidelines are using simple "rm -rf %{buildroot}"

When a macro is available for a command, I prefer use it.

> - Not sure about french description. In ReviewGuidelines it is a must, that 
the
> spec is in American English.

I don't remember where I saw it, but other language description and summary 
was a SHOULD

Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.4.2-3.src.rpm

%changelog
* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-3
  - Use macro for configure instead of hardcoding path
  - Use macro style instead of variable style


Comment 3 Sebastian Vahl 2006-09-21 13:21:49 EDT
> I don't remember where I saw it, but other 
> language description and summary was a SHOULD

My fault, you're right. Please ignore this.
Comment 4 Mamoru TASAKA 2006-09-22 13:57:49 EDT
Just a quick check:
A: Please see http://fedoraproject.org/wiki/Packaging/ScriptletSnippets.
    then:
* Icons are installed under /usr/share/icons/hicolor/. This requires some
  scriptlets.
* Requires(post,postun) should be removed.

B. rpmlint is not silent. I think this can be ignored, however, check if 
you can remove dangling (resolved by kdelibs) symlink.

W: kbackup dangling-symlink /usr/share/doc/HTML/de/kbackup/common
/usr/share/doc/HTML/de/common
W: kbackup symlink-should-be-relative /usr/share/doc/HTML/de/kbackup/common
/usr/share/doc/HTML/de/common
W: kbackup dangling-symlink /usr/share/doc/HTML/en/kbackup/common
/usr/share/doc/HTML/en/common
W: kbackup symlink-should-be-relative /usr/share/doc/HTML/en/kbackup/common
/usr/share/doc/HTML/en/common
Comment 5 Alain Portal 2006-09-25 04:31:47 EDT
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.5-1.src.rpm

%changelog
* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-1
  - New upstream version
  - Update patch0 and patch1
  - Remove patch2 that is no more needed

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-4
  - Requires(post,postun) desktop-file-utils no more needed since FC-5
  - Add %%post an %%postun for icons
  - Remove absolute symlinks
Comment 6 Mamoru TASAKA 2006-09-25 04:35:25 EDT
I will review this later.
Comment 7 Mamoru TASAKA 2006-09-25 06:32:36 EDT
First review of this package.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Use rpmlint
  - rpmlint is not silent.
//usr/share/applications/kde/kbackup.desktop: error: required key "Encoding" not
found
E: kbackup invalid-desktopfile //usr/share/applications/kde/kbackup.desktop
   This is perhaps because kbackup.desktop doesn't have the entry of
   Encoding=UTF-8.

* Desktop files
  - Well, in GNOME I can see two desktop entries of KBackup under
  "system tools".  Perhaps either desktop file should have
  "OnlyShowIn=KDE;" entry and the other "OnlyShowIn=GNOME;"

* File and Directory Ownership
  The following directries are owned by other packages and
  should not be owned by this package.

/usr/share/applications/kde
/usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16
/usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/16x16/mimetypes
/usr/share/icons/hicolor/32x32
/usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/32x32/mimetypes

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

3. Other things I have noticed:
* I recommend that %configure is moved to %build stage.
Comment 8 Alain Portal 2006-09-25 07:40:41 EDT
(In reply to comment #7)

> * Desktop files
>   - Well, in GNOME I can see two desktop entries of KBackup under
>   "system tools".  Perhaps either desktop file should have
>   "OnlyShowIn=KDE;" entry and the other "OnlyShowIn=GNOME;"

If I add "OnlyShowIn=KDE;", that means the desktop entry won't be in Gnome 
menu? (I'm using kde and I have only one entry in Utilities->File)
Perhaps should I have to remove "System;" from Categories?
Comment 9 Alain Portal 2006-09-25 09:25:51 EDT
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.5-2.src.rpm

%changelog
* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-2
  - Use macro for make
  - Don't own some directories
  - Update patch0 and patch1
  - Improve desktop-file installation
Comment 10 Mamoru TASAKA 2006-09-25 10:10:25 EDT
* Well, currently in GNOME only one menu appears for kbackup,
however, my opinion is "OnlyShowIn=KDE;" should be in
/usr/share/applications/kde/kbackup.desktop, not in
/usr/share/applications/fedora-kbackup.desktop.

I can see that /usr/share/applications/kde/kresources.desktop
(in kdelibs) has the entry "OnlyShowIn=KDE;".


* Another thing: /usr/share/applications/kde/kbackup.desktop has
X-SuSE-Backup in Category, this should be changed.
Comment 11 Alain Portal 2006-09-25 10:41:36 EDT
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.5-3.src.rpm

%changelog
* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-3
  - desktop-file-install don't work as I expected, so update patch0
Comment 12 Mamoru TASAKA 2006-09-25 11:26:44 EDT
I am pleased to say that this package is now APPROVED.
Comment 13 Rex Dieter 2006-09-25 11:30:29 EDT
FYI, you shouldn't have 2 .desktop files, I'd recommend changing
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category "Utility" \
  --add-category "X-KDE-Utilities-File" \
  --add-category "X-Fedora" \
  --remove-only-show-in "KDE" \
  src/%{name}.desktop
Comment 14 Rex Dieter 2006-09-25 11:32:51 EDT
And,
# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/*/%{name}/common

you remove the symlink, but then don't ever actually replace/fix it.  Either 
fix it to be a relative symlink or leave as is.  Else, you'll end up with 
broken help links.
Comment 15 Rex Dieter 2006-09-25 11:34:59 EDT
Crap, my comment #13 got truncated, it was *supposed* to say change to

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category="Utility" \
  --add-category="X-KDE-Utilities-File" \
  --add-category="X-Fedora" \
  --remove-only-show-in "KDE" \
  %{buildroot}%{_datadir}/applications/kde/*.desktop
Comment 16 Alain Portal 2006-09-25 11:53:07 EDT
(In reply to comment #14)
> And,
> # Fix absolute symlink
> %{__rm} -f %{buildroot}%{_docdir}/HTML/*/%{name}/common
> 
> you remove the symlink, but then don't ever actually replace/fix it.  Either 
> fix it to be a relative symlink or leave as is.  Else, you'll end up with 
> broken help links.

Please, could you tell me how to fix?
Comment 17 Mamoru TASAKA 2006-09-25 12:04:28 EDT
(In reply to comment #16)
> (In reply to comment #14)
> > And,
> > # Fix absolute symlink
> > %{__rm} -f %{buildroot}%{_docdir}/HTML/*/%{name}/common
> > 
> > you remove the symlink, but then don't ever actually replace/fix it.  Either 
> > fix it to be a relative symlink or leave as is.  Else, you'll end up with 
> > broken help links.
> 
> Please, could you tell me how to fix?
> 

Simply not removing %{buildroot}%{_docdir}/HTML/*/%{name}/common
is the easiest idea to follow the recommendation from Rex.
I don't complain for it.
Comment 18 Alain Portal 2006-09-25 12:38:05 EDT
I found two desktop entries in my menu
- one in "System"
- one in "Utilities->File"

It seems to me that the better place is "Utilities->File".
To remove the one in "System", I think that I have to remove "System" from the 
categories field in desktop. But if I do that, it seems to me there won't be 
any entry in a GNOME menu.
Is there a GNOME category similar to "X-KDE-Utilities-File"?
Comment 19 Mamoru TASAKA 2006-09-25 12:59:22 EDT
Well, if it is complicated to unify desktop files, I think
owing two desktop files is not so bad idea.
Comment 20 Alain Portal 2006-09-25 13:01:03 EDT
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.5-4.src.rpm

%changelog
* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-4
  - Install only one desktop file
  - Don't remove absolute symlinks
  - Update patch0
Comment 21 Mamoru TASAKA 2006-09-25 13:12:39 EDT
(In reply to comment #20)
> Spec URL: 
> http://linuxelectronique.free.fr/download/fedora/5/SPECS/kbackup.spec
> SRPM URL: 
> http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kbackup-0.5-4.src.rpm
> 
> %changelog
> * Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-4
>   - Install only one desktop file
>   - Don't remove absolute symlinks
>   - Update patch0

This time, in GNOME desktop entry appears on "accessory".
For KDE, where does the entry for KBackup appear?
Comment 22 Mamoru TASAKA 2006-09-25 13:47:28 EDT
Well, if desktop entry appears in "Utilities->File" on KDE as
you have expected, please go ahead (i.e. import to cvs).

I don't stop you from commiting this package to cvs.
Comment 23 Alain Portal 2006-09-26 04:24:58 EDT
Well, I'll commit as is, but I'll wish to improve for the GNOME menu, so, if 
you know a better place in the menu than "Accessory", let me know.
Comment 24 Alain Portal 2006-09-27 05:27:49 EDT
%changelog
* Wed Sep 26 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-6
  - Link the good directories

* Tue Sep 26 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-5
  - Fix absolute symlinks

Imported and built.
Comment 25 Alain Portal 2007-07-20 14:40:46 EDT
Package Change Request
======================
Package Name: kbackup
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 26 Jens Petersen 2007-07-24 11:06:49 EDT
added
Comment 27 Alain Portal 2010-01-08 10:46:40 EST
Package Change Request
======================
Package Name: kbackup
New Branches: F-11 F-12
Owners: dionysos
Comment 28 Mamoru TASAKA 2010-01-08 12:04:35 EST
kbackup is already orphaned:
http://www.redhat.com/archives/fedora-devel-list/2009-March/msg00093.html
http://www.redhat.com/archives/fedora-devel-list/2009-March/msg00103.html

and:
http://koji.fedoraproject.org/koji/packageinfo?packageID=2191
(see tags and included? column)

It is already more than 6 months and to reintroduce this package
into Fedora again, the new review request is needed. Please
submit the new one, thank you.
Comment 29 Mamoru TASAKA 2010-01-08 12:05:51 EST
(In reply to comment #28)
> It is already more than 6 months and 
should be read as:
It is already more than 6 months since this package was orphaned and
Comment 30 Alain Portal 2010-01-08 12:31:50 EST
OK, I´ll submit a new review request.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.